%
%   Book: MATLAB-Based Electromagnetics (Pearson Prentice Hall)
%   Author: Branislav M. Notaros
%   Instructor Resources
%   (c) 2011
%
%   This MATLAB code or any part of it may be used only for 
%   educational purposes associated with the book
%
%
%


%    Symbolic gradient in Cartesian coordinates


function [Ax, Ay, Az] = gradCar(f)
syms x y z
Ax = diff(f,x);
Ay = diff(f,y);
Az = diff(f,z);